# pandas.expanding_cov

`pandas.``expanding_cov`(arg1, arg2=None, min_periods=1, freq=None, pairwise=None, ddof=1)

  Unbiased expanding covariance.

  Parameters:

  arg1 : Series, DataFrame, or ndarray

  arg2 : Series, DataFrame, or ndarray, optional

  > if not supplied then will default to arg1 and produce pairwise output

  min_periods : int, default None

  > Minimum number of observations in window required to have a value (otherwise result is NA).

  freq : string or DateOffset object, optional (default None)

  > Frequency to conform the data to before computing the statistic. Specified as a frequency string or DateOffset object.

  pairwise : bool, default False

  > If False then only matching columns between arg1 and arg2 will be used and the output will be a DataFrame. If True then all pairwise combinations will be calculated and the output will be a Panel in the case of DataFrame inputs. In the case of missing elements, only complete pairwise observations will be used.

  ddof : int, default 1

  > Delta Degrees of Freedom. The divisor used in calculations is `N - ddof`, where `N` represents the number of elements.

  Returns:

  y : type depends on inputs

  > DataFrame / DataFrame -> DataFrame (matches on columns) or Panel (pairwise) DataFrame / Series -> Computes result for each column Series / Series -> Series